automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH 02/10] New test on silent-rules mode and portability warnings.


From: stefano . lattarini
Subject: [PATCH 02/10] New test on silent-rules mode and portability warnings.
Date: Thu, 23 Dec 2010 12:27:38 +0100

From: Stefano Lattarini <address@hidden>

* tests/silent-rules-nowarn.test: New test.
* tests/Makefile.am (TESTS): Update.
---
 ChangeLog                      |    6 +++++
 tests/Makefile.am              |    1 +
 tests/Makefile.in              |    1 +
 tests/silent-rules-nowarn.test |   46 ++++++++++++++++++++++++++++++++++++++++
 4 files changed, 54 insertions(+), 0 deletions(-)
 create mode 100755 tests/silent-rules-nowarn.test

diff --git a/ChangeLog b/ChangeLog
index b6c0b56..206acd7 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,11 @@
 2010-12-20  Stefano Lattarini  <address@hidden>
 
+       New test on silent-rules mode and portability warnings.
+       * tests/silent-rules-nowarn.test: New test.
+       * tests/Makefile.am (TESTS): Update.
+
+2010-12-20  Stefano Lattarini  <address@hidden>
+
        Add new tests on strictness and warnings precedence and overriding.
        * tests/strictness-overriding.test: New test.
        * tests/strictness-precedence.test: New test.
diff --git a/tests/Makefile.am b/tests/Makefile.am
index d70cdcb..b38738b 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -781,6 +781,7 @@ silent-lex-gcc.test \
 silent-lex-generic.test \
 silent-yacc-gcc.test \
 silent-yacc-generic.test \
+silent-rules-nowarn.test \
 sinclude.test \
 srcsub.test \
 srcsub2.test \
diff --git a/tests/Makefile.in b/tests/Makefile.in
index 4013e8d..5b881f5 100644
--- a/tests/Makefile.in
+++ b/tests/Makefile.in
@@ -1044,6 +1044,7 @@ silent-lex-gcc.test \
 silent-lex-generic.test \
 silent-yacc-gcc.test \
 silent-yacc-generic.test \
+silent-rules-nowarn.test \
 sinclude.test \
 srcsub.test \
 srcsub2.test \
diff --git a/tests/silent-rules-nowarn.test b/tests/silent-rules-nowarn.test
new file mode 100755
index 0000000..e3da000
--- /dev/null
+++ b/tests/silent-rules-nowarn.test
@@ -0,0 +1,46 @@
+#!/bin/sh
+# Copyright (C) 2010 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# Check that the 'silent-rules' mode suppresses the warnings for recursive
+# make variable expansions.  This should happen regardless of whether and
+# where these warnings are requested.
+
+. ./defs || Exit 1
+
+set -e
+
+cat > configure.in <<END
+AC_INIT([$me], [1.0])
+# Yes, we repeat the warnings two times, both before and after
+# 'silent-rules'.  This is deliberate.
+AM_INIT_AUTOMAKE([gnu -Wall -Wportability-recursive
+                      silent-rules
+                      -Wall -Wportability-recursive])
+AC_CONFIG_FILES([Makefile])
+END
+
+cat > Makefile.am <<'END'
+AUTOMAKE_OPTIONS = gnu -Wall -Wportability-recursive
+foo = $($(v)) $(x$(v)) $($(v)x) $(y$(v)z)
+END
+
+# Files required bu gnu strictness.
+touch AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS
+
+$ACLOCAL
+$AUTOMAKE --gnu -Wall -Wportability-recursive
+
+:
-- 
1.7.2.3




reply via email to

[Prev in Thread] Current Thread [Next in Thread]